Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl.validation
Class ValidationState

    java.lang.Object
      weblogic.apache.xerces.impl.validation.ValidationState

All Implemented Interfaces:
  ValidationContext

Deprecated. please use JDK supplied XML parsers and transformers

public class ValidationState
extends Object
implements ValidationContext

Implementation of ValidationContext inteface. Used to establish an environment for simple type validation.

Constructor Summary
`ValidationState()` Deprecated.

Method Summary
`void` | `addId(String name)` Deprecated.
`void` | `addIdRef(String name)` Deprecated.
`String` | `checkIDRefID()` Deprecated. return null if all IDREF values have a corresponding ID value; otherwise return the first IDREF value without a matching ID value.
`String` | `getSymbol(String symbol)` Deprecated.
`String` | `getURI(String prefix)` Deprecated.
`boolean` | `isEntityDeclared(String name)` Deprecated.
`boolean` | `isEntityUnparsed(String name)` Deprecated.
`boolean` | `isIdDeclared(String name)` Deprecated.
`boolean` | `needExtraChecking()` Deprecated.
`boolean` | `needFacetChecking()` Deprecated.
`boolean` | `needToNormalize()` Deprecated.
`void` | `reset()` Deprecated.
`void` | `resetIDTables()` Deprecated. The same validation state can be used to validate more than one (schema) validation roots.
`void` | `setEntityState(EntityState state)` Deprecated.
`void` | `setExtraChecking(boolean newValue)` Deprecated.
`void` | `setFacetChecking(boolean newValue)` Deprecated.
`void` | `setNamespaceSupport(NamespaceSupport namespace)` Deprecated.
`void` | `setNormalizationRequired(boolean newValue)` Deprecated.
`void` | `setSymbolTable(SymbolTable sTable)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidationState

    public ValidationState()

  Deprecated.

Method Detail

### addId

    public void addId(String name)

  Deprecated.
  Specified by:
    `addId` in interface `ValidationContext`

### addIdRef

    public void addIdRef(String name)

  Deprecated.
  Specified by:
    `addIdRef` in interface `ValidationContext`

### checkIDRefID

    public String checkIDRefID()

  Deprecated.
  return null if all IDREF values have a corresponding ID value; otherwise return the first IDREF value without a matching ID value.

### getSymbol

    public String getSymbol(String symbol)

  Deprecated.
  Specified by:
    `getSymbol` in interface `ValidationContext`

### getURI

    public String getURI(String prefix)

  Deprecated.
  Specified by:
    `getURI` in interface `ValidationContext`

### isEntityDeclared

    public boolean isEntityDeclared(String name)

  Deprecated.
  Specified by:
    `isEntityDeclared` in interface `ValidationContext`

### isEntityUnparsed

    public boolean isEntityUnparsed(String name)

  Deprecated.
  Specified by:
    `isEntityUnparsed` in interface `ValidationContext`

### isIdDeclared

    public boolean isIdDeclared(String name)

  Deprecated.
  Specified by:
    `isIdDeclared` in interface `ValidationContext`

### needExtraChecking

    public boolean needExtraChecking()

  Deprecated.
  Specified by:
    `needExtraChecking` in interface `ValidationContext`

### needFacetChecking

    public boolean needFacetChecking()

  Deprecated.
  Specified by:
    `needFacetChecking` in interface `ValidationContext`

### needToNormalize

    public boolean needToNormalize()

  Deprecated.
  Specified by:
    `needToNormalize` in interface `ValidationContext`

### reset

    public void reset()

  Deprecated.

### resetIDTables

    public void resetIDTables()

  Deprecated.
  The same validation state can be used to validate more than one (schema) validation roots. Entity/Namespace/Symbol are shared, but each validation root needs its own id/idref tables. So we need this method to reset only the two tables.

### setEntityState

    public void setEntityState(EntityState state)

  Deprecated.

### setExtraChecking

    public void setExtraChecking(boolean newValue)

  Deprecated.

### setFacetChecking

    public void setFacetChecking(boolean newValue)

  Deprecated.

### setNamespaceSupport

    public void setNamespaceSupport(NamespaceSupport namespace)

  Deprecated.

### setNormalizationRequired

    public void setNormalizationRequired(boolean newValue)

  Deprecated.

### setSymbolTable

    public void setSymbolTable(SymbolTable sTable)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD